function k(o){return document.getElementById(o);}

function checklogin() {
	
	if( strlen(k('iUserName').value)<1 ) {
	   alert("\请输入您常用的邮箱!")
	   k('iUserName').focus()
	   return false;
	}
	
	if(!CheckEmail(k('iUserName').value))
	{
	   alert("\请输入正确的邮箱格式!")
	   k('iUserName').focus()
	   return false;
	}
	
	
    if( strlen(k('iUserPass').value)<1 ) {
	   alert("\请输入密码!")
	   k('iUserPass').focus()
	   return false;
	}
	
	
	if( strlen(k('iUserPass').value)<6 | strlen(k('iUserPass').value)>20 ) {
	   alert("\请您输入6-20位的密码!")
	   k('iUserPass').focus()
	   return false;
	}
	
	


}


//检测字符的长度，以字节为单位
function strlen(str)
{
	var len;
	var i;
	len = 0;
	for (i=0;i<str.length;i++){
		if (str.charCodeAt(i)>255) len+=2; else len++;
	}
	return len;
}


//检测电子邮件是否合法
function CheckEmail(strValue)
{
    var pattern = /^[.-_A-Za-z0-9]+@([-_A-Za-z0-9]+\.)+[A-Za-z0-9]{2,3}$/;
    if(strValue.match(pattern)==null){
        return false;
     }else{
     return true;
     }
}